Software requirements for Rational Rhapsody

Install the required software and any add-on products before you install IBM® Rational® Rhapsody®. These requirements apply to both the Windows and Linux operating systems.

For the most current details about hardware and software requirements, see the "System Requirements for Rational Rhapsody" page.

Note: Linux is supported only for the Rational Rhapsody Developer product for the C, C++, Java™, and Ada languages.

The following table lists software requirements for the Rational Rhapsody editions. For a list of the possible add-on products and whether they require any additional licenses, see the list in step 12 in the topic on installing Rational Rhapsody on a Windows system.

Table 1. Software requirements for the Rational Rhapsody editions
Product Requirements
IBM Rational Rhapsody Developer for C,
IBM Rational Rhapsody Developer for C++,
In order to generate code from Rational Rhapsody models, you must add a compiler before you install Rational Rhapsody, and you must identify the compiler when you install Rational Rhapsody.
Among the compilers that can be used to build code for C and C++ Rational Rhapsody models are:
  • Microsoft Visual Studio 2012
  • Microsoft Visual Studio 2010
  • Microsoft Visual Studio 2008
  • Cygwin. See the topic about integrating Rational Rhapsody with the Cygwin compiler.

For Rational Rhapsody Developer for C#, you need Microsoft Visual Studio 2008, Visual Studio 2010, or Visual Studio 2012.

See the "System Requirements for Rational Rhapsody" page for additional support requirements for Rational Rhapsody for a list of supported compilers.

IBM Rational Rhapsody Developer for Java This product requires a Java environment. You can use a Java Runtime Environment (a JRE is installed with the product), or a Java Software Development Kit (SDK). You can download the Java Platform, Standard Edition Software Development Kit, formerly known as the Java Development Kit (JDK) from the IBM developerWorks® website.

See the "System Requirements for Rational Rhapsody" page for a list of the supported versions of Java.

IBM Rational Rhapsody Developer for Ada Before you install this product, you must have the following software on your system:
  • An Ada compiler, such as GNAT. On Linux, this product supports only the Atego ApexAda Developer compiler. See the "System Requirements for Rational Rhapsody" page for additional support requirements for Rational Rhapsody for a list of supported compilers.
  • Java 2 SDK (required by the code generator). You can download an SDK from the IBM developerWorks website. See the "System Requirements for Rational Rhapsody" page for a list of the supported versions of Java.
IBM Rational Rhapsody Designer for Systems Engineers This product requires a compiler for model simulation. See the "System Requirements for Rational Rhapsody" page for additional support requirements for Rational Rhapsody for a list of supported compilers.

Feedback